# LocalizedMessage (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.language

## Class LocalizedMessage

- java.lang.Object
- - de.epiceric.shopchest.language.LocalizedMessage

    public class LocalizedMessage
    extends Object

### Nested Class Summary

Nested Classes
`static class` `LocalizedMessage.Message`
`static class` `LocalizedMessage.ReplacedPlaceholder`

### Constructor Summary

Constructors
Constructor and Description
`LocalizedMessage(LocalizedMessage.Message message, String localizedString)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getLocalizedString()`
`LocalizedMessage.Message` `getMessage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalizedMessage

    public LocalizedMessage(LocalizedMessage.Message message,
                            String localizedString)

### Method Detail

#### getMessage

    public LocalizedMessage.Message getMessage()

Returns:
  `LocalizedMessage.Message` linked to this object

#### getLocalizedString

    public String getLocalizedString()

Returns:
  Localized Message